git_reference-class {git2r} | R Documentation

## S4 class to handle a git reference

### Description

Class `"git_reference"`

### Slots

name

  The full name of the reference.

type

  Type of the reference, either direct (GIT_REF_OID == 1) or symbolic (GIT_REF_SYMBOLIC == 2)

sha

  The 40 character hexadecimal string of the SHA-1

target

  The full name to the reference pointed to by a symbolic reference.

shorthand

  The reference's short name

### Methods

show

  `signature(object = "git_reference")`

[Package git2r version 0.20.0 Index]